UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

AR# 12628

Simulation Libraries - How do I compile and update the Xilinx HDL simulation libraries? When do I need to update the simulation libraries?

Description

How do I compile the Xilinx HDL simulation libraries? When do I need to update the simulation libraries?

Solution


Updating Libraries:



The UNISIM, SIMPRIM, CPLD, and ABEL libraries are updated through Xilinx Service Packs. You must recompile these libraries after every Service Pack installation.



The XILINXCORELIB libraries are updated through IP Updates. You must recompile the XILINXCORELIB libraries after every IP Update installation.



The latest service packs and IP Updates are available at:



http://www.xilinx.com/support/download/index.htm



Compiling Libraries for the 6.1i and 5.1i/5.2i software:



All Supported Except for MXE

Use the COMPXLIB utility to compile the libraries. For information about COMPXLIB, please see (Xilinx Answer 15338).



ModelSim Xilinx Edition (MXE)

Do not manually compile the libraries for MXE. For MXE, download the latest available libraries at: http://www.xilinx.com/support/download/index.htm




Compiling Libraries for the 4.1i/4.2i software:



The following links lead to instructions on compiling Xilinx HDL simulation libraries for simulators that are supported by Xilinx. If instructions for the simulator you are using are not included below, please contact the vendor for instructions.



ModelSim (SE, PE):

Please see (Xilinx Answer 2561).



ModelSim (MXE):

Do not manually compile the libraries for MXE. For MXE, download the latest available libraries at: http://www.xilinx.com/support/download/index.htm


Cadence NC-Verilog:

Please see (Xilinx Answer 5474).



Cadence NC-VHDL

Please see (Xilinx Answer 9420).



Cadence Verilog-XL:

Pre-compiled libraries are not necessary for Verilog-XL.



Synopsys VSS:

Please see (Xilinx Answer 9755).



Synopsys VCS:

Please see (Xilinx Answer 6330).
AR# 12628
Date Created 08/29/2007
Last Updated 02/27/2012
Status Archive
Type General Article